package fishrungames.bashgid;

import fishrungames.networkutils.ContextHolder;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.webkit.WebView;

public class HtmlViewerFragment extends Fragment
{
	
	public String url = "";
	
	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
		
		View rootView = inflater.inflate(R.layout.fragment_html_viewer, container, false);

		WebView webView = (WebView)rootView.findViewById(R.id.webView);
		
		webView.loadUrl("file:///" + ContextHolder.getContext().getFilesDir().getAbsolutePath() + "/" + url);
		
		return rootView;
	}
}
